Package com.io7m.cardant.database.postgres.internal.tables

# Class LocationMetadata

java.lang.Object
org.jooq.impl.TableImpl<org.jooq.Record>
com.io7m.cardant.database.postgres.internal.tables.LocationMetadata

All Implemented Interfaces:
  `Serializable`, `org.jooq.Fields`, `org.jooq.GroupField`, `org.jooq.impl.QOM.Aliasable<org.jooq.Table<org.jooq.Record>>`, `org.jooq.Named`, `org.jooq.Qualified`, `org.jooq.QueryPart`, `org.jooq.QueryPartInternal`, `org.jooq.RecordQualifier<org.jooq.Record>`, `org.jooq.SelectField<org.jooq.Record>`, `org.jooq.SelectFieldOrAsterisk`, `org.jooq.Table<org.jooq.Record>`, `org.jooq.TableLike<org.jooq.Record>`, `org.jooq.Typed<org.jooq.Record>`

Direct Known Subclasses:
  `LocationMetadata.LocationMetadataPath`

public class LocationMetadata extends org.jooq.impl.TableImpl<org.jooq.Record>
This class is generated by jOOQ.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LocationMetadata.LocationMetadataPath`
  A subtype implementing `Path` for simplified path-based joins.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final org.jooq.TableField<org.jooq.Record,UUID>`
  `LOCATION_META_LOCATION`
  The column `LOCATION_METADATA.LOCATION_META_LOCATION`.
  `final org.jooq.TableField<org.jooq.Record,String>`
  `LOCATION_META_NAME`
  The column `LOCATION_METADATA.LOCATION_META_NAME`.
  `final org.jooq.TableField<org.jooq.Record,Long>`
  `LOCATION_META_VALUE_INTEGRAL`
  The column `LOCATION_METADATA.LOCATION_META_VALUE_INTEGRAL`.
  `final org.jooq.TableField<org.jooq.Record,BigDecimal>`
  `LOCATION_META_VALUE_MONEY`
  The column `LOCATION_METADATA.LOCATION_META_VALUE_MONEY`.
  `final org.jooq.TableField<org.jooq.Record,String>`
  `LOCATION_META_VALUE_MONEY_CURRENCY`
  The column `LOCATION_METADATA.LOCATION_META_VALUE_MONEY_CURRENCY`.
  `final org.jooq.TableField<org.jooq.Record,Double>`
  `LOCATION_META_VALUE_REAL`
  The column `LOCATION_METADATA.LOCATION_META_VALUE_REAL`.
  `final org.jooq.TableField<org.jooq.Record,String>`
  `LOCATION_META_VALUE_TEXT`
  The column `LOCATION_METADATA.LOCATION_META_VALUE_TEXT`.
  `final org.jooq.TableField<org.jooq.Record,OffsetDateTime>`
  `LOCATION_META_VALUE_TIME`
  The column `LOCATION_METADATA.LOCATION_META_VALUE_TIME`.
  `final org.jooq.TableField<org.jooq.Record,MetadataScalarBaseTypeT>`
  `LOCATION_META_VALUE_TYPE`
  The column `LOCATION_METADATA.LOCATION_META_VALUE_TYPE`.
  `static final LocationMetadata`
  `LOCATION_METADATA`
  The reference instance of `LOCATION_METADATA`

  ### Fields inherited from class org.jooq.impl.TableImpl

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationMetadata()`
  Create a `LOCATION_METADATA` table reference
  `LocationMetadata(String alias)`
  Create an aliased `LOCATION_METADATA` table reference
  `LocationMetadata(org.jooq.Name alias)`
  Create an aliased `LOCATION_METADATA` table reference
  `LocationMetadata(org.jooq.Table<O> path, org.jooq.ForeignKey<O,org.jooq.Record> childPath, org.jooq.InverseForeignKey<O,org.jooq.Record> parentPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.jooq.Name`
  `$alias()`
  `org.jooq.Table<org.jooq.Record>`
  `$aliased()`
  `final org.jooq.DataType<org.jooq.Record>`
  `$dataType()`
  `final org.jooq.Name`
  `$name()`
  `final org.jooq.Schema`
  `$schema()`
  `LocationMetadata`
  `as(String alias)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(String arg0, String... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(String arg0, Collection<? extends String> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(String arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends String> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(String arg0, Function<? super org.jooq.Field<?>,? extends String> arg1)`
  `final org.jooq.SelectField<org.jooq.Record>`
  `as(org.jooq.Field<?> arg0)`
  `LocationMetadata`
  `as(org.jooq.Name alias)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(org.jooq.Name arg0, Collection<? extends org.jooq.Name> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(org.jooq.Name arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends org.jooq.Name> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(org.jooq.Name arg0, Function<? super org.jooq.Field<?>,? extends org.jooq.Name> arg1)`
  `LocationMetadata`
  `as(org.jooq.Table<?> alias)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(org.jooq.Table<?> arg0, Collection<? extends org.jooq.Field<?>> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(org.jooq.Table<?> arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends org.jooq.Field<?>> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(org.jooq.Table<?> arg0, Function<? super org.jooq.Field<?>,? extends org.jooq.Field<?>> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `as(org.jooq.Table<?> arg0, org.jooq.Field<?>... arg1)`
  `final org.jooq.Field<org.jooq.Result<org.jooq.Record>>`
  `asMultiset()`
  `final org.jooq.Field<org.jooq.Result<org.jooq.Record>>`
  `asMultiset(String arg0)`
  `final org.jooq.Field<org.jooq.Result<org.jooq.Record>>`
  `asMultiset(org.jooq.Field<?> arg0)`
  `final org.jooq.Field<org.jooq.Result<org.jooq.Record>>`
  `asMultiset(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable()`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(String arg0, String... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(String arg0, Collection<? extends String> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(String arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends String> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(String arg0, Function<? super org.jooq.Field<?>,? extends String> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(org.jooq.Name arg0, Collection<? extends org.jooq.Name> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(org.jooq.Name arg0, org.jooq.Name... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(org.jooq.Table<?> arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(org.jooq.Table<?> arg0, Collection<? extends org.jooq.Field<?>> arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `asTable(org.jooq.Table<?> arg0, org.jooq.Field<?>... arg1)`
  `final org.jooq.QualifiedAsterisk`
  `asterisk()`
  `final <U> org.jooq.SelectField<U>`
  `convert(Class<U> arg0, Function<? super org.jooq.Record,? extends U> arg1, Function<? super U,? extends org.jooq.Record> arg2)`
  `final <U> org.jooq.SelectField<U>`
  `convert(org.jooq.Binding<org.jooq.Record,U> arg0)`
  `final <U> org.jooq.SelectField<U>`
  `convert(org.jooq.Converter<org.jooq.Record,U> arg0)`
  `final <U> org.jooq.SelectField<U>`
  `convertFrom(Class<U> arg0, Function<? super org.jooq.Record,? extends U> arg1)`
  `final <U> org.jooq.SelectField<U>`
  `convertFrom(Function<? super org.jooq.Record,? extends U> arg0)`
  `final <U> org.jooq.SelectField<U>`
  `convertTo(Class<U> arg0, Function<? super U,? extends org.jooq.Record> arg1)`
  `final <U> org.jooq.SelectField<U>`
  `convertTo(Function<? super U,? extends org.jooq.Record> arg0)`
  `protected final org.jooq.DSLContext`
  `create()`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Configuration arg0)`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Context<?> arg0)`
  Deprecated.
  `protected final <T> org.jooq.TableField<org.jooq.Record,T>`
  `createField(String arg0, org.jooq.DataType<T> arg1)`
  Deprecated.
  `protected final <T> org.jooq.TableField<org.jooq.Record,T>`
  `createField(String arg0, org.jooq.DataType<T> arg1, String arg2)`
  Deprecated.
  `protected final <T, U> org.jooq.TableField<org.jooq.Record,U>`
  `createField(String arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Binding<T,U> arg3)`
  Deprecated.
  `protected final <T, U> org.jooq.TableField<org.jooq.Record,U>`
  `createField(String arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<T,U> arg3)`
  Deprecated.
  `protected final <T, X, U> org.jooq.TableField<org.jooq.Record,U>`
  `createField(String arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<X,U> arg3, org.jooq.Binding<T,X> arg4)`
  Deprecated.
  `protected static final <R extends org.jooq.Record, T>
  org.jooq.TableField<R,T>`
  `createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2)`
  Deprecated.
  `protected static final <R extends org.jooq.Record, T>
  org.jooq.TableField<R,T>`
  `createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3)`
  Deprecated.
  `protected static final <R extends org.jooq.Record, T, U>
  org.jooq.TableField<R,U>`
  `createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Binding<T,U> arg4)`
  Deprecated.
  `protected static final <R extends org.jooq.Record, T, U>
  org.jooq.TableField<R,U>`
  `createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<T,U> arg4)`
  Deprecated.
  `protected static final <R extends org.jooq.Record, T, X, U>
  org.jooq.TableField<R,U>`
  `createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5)`
  Deprecated.
  `protected final <T> org.jooq.TableField<org.jooq.Record,T>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1)`
  `protected final <T> org.jooq.TableField<org.jooq.Record,T>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2)`
  `protected final <T, U> org.jooq.TableField<org.jooq.Record,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Binding<T,U> arg3)`
  `protected final <T, U> org.jooq.TableField<org.jooq.Record,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<T,U> arg3)`
  `protected final <T, X, U> org.jooq.TableField<org.jooq.Record,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<X,U> arg3, org.jooq.Binding<T,X> arg4)`
  `protected static final <R extends org.jooq.Record, T>
  org.jooq.TableField<R,T>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2)`
  `protected static final <R extends org.jooq.Record, T>
  org.jooq.TableField<R,T>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3)`
  `protected static final <R extends org.jooq.Record, T, U>
  org.jooq.TableField<R,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Binding<T,U> arg4)`
  `protected static final <R extends org.jooq.Record, T, U>
  org.jooq.TableField<R,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<T,U> arg4)`
  `protected static final <R extends org.jooq.Record, T, X, U>
  org.jooq.TableField<R,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5)`
  `protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T, U>
  org.jooq.TableField<R,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Binding<T,U> arg4, org.jooq.Generator<R,TR,U> arg5)`
  `protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T, U>
  org.jooq.TableField<R,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<T,U> arg4, org.jooq.Generator<R,TR,U> arg5)`
  `protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T, X, U>
  org.jooq.TableField<R,U>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5, org.jooq.Generator<R,TR,U> arg6)`
  `protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T>
  org.jooq.TableField<R,T>`
  `createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Generator<R,TR,T> arg4)`
  `protected final <TR extends org.jooq.Table<R>, T, U>
  org.jooq.TableField<org.jooq.Record,U>`
  `createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Binding<T,U> arg4, org.jooq.Generator<org.jooq.Record,TR,U> arg5)`
  `protected final <TR extends org.jooq.Table<R>, T, U>
  org.jooq.TableField<org.jooq.Record,U>`
  `createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<T,U> arg4, org.jooq.Generator<org.jooq.Record,TR,U> arg5)`
  `protected final <TR extends org.jooq.Table<R>, T, X, U>
  org.jooq.TableField<org.jooq.Record,U>`
  `createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5, org.jooq.Generator<org.jooq.Record,TR,U> arg6)`
  `protected final <TR extends org.jooq.Table<R>, T>
  org.jooq.TableField<org.jooq.Record,T>`
  `createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Generator<org.jooq.Record,TR,T> arg4)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossApply(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossApply(String arg0, Object... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossApply(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossApply(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossApply(org.jooq.SQL arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossApply(org.jooq.TableLike<?> arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossJoin(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossJoin(String arg0, Object... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossJoin(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossJoin(org.jooq.SQL arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `crossJoin(org.jooq.TableLike<?> arg0)`
  `default org.jooq.DataType<?>`
  `dataType(int arg0)`
  `default org.jooq.DataType<?>`
  `dataType(String arg0)`
  `default org.jooq.DataType<?>`
  `dataType(org.jooq.Name arg0)`
  `default org.jooq.DataType<?>[]`
  `dataTypes()`
  `boolean`
  `declaresCTE()`
  `boolean`
  `declaresFields()`
  `boolean`
  `declaresWindows()`
  `final org.jooq.DivideByOnStep`
  `divideBy(org.jooq.Table<?> arg0)`
  `final org.jooq.Condition`
  `eq(org.jooq.Table<org.jooq.Record> arg0)`
  `final org.jooq.Condition`
  `equal(org.jooq.Table<org.jooq.Record> arg0)`
  `default org.jooq.Field<?>`
  `field(int arg0)`
  `default <T> org.jooq.Field<T>`
  `field(int arg0, Class<T> arg1)`
  `default <T> org.jooq.Field<T>`
  `field(int arg0, org.jooq.DataType<T> arg1)`
  `default <T> org.jooq.Field<T>`
  `field(org.jooq.Field<T> arg0)`
  `final org.jooq.Field<?>[]`
  `fields()`
  `default org.jooq.Field<?>[]`
  `fields(int... arg0)`
  `default org.jooq.Field<?>[]`
  `fields(String... arg0)`
  `default org.jooq.Field<?>[]`
  `fields(org.jooq.Field<?>... arg0)`
  `default org.jooq.Field<?>[]`
  `fields(org.jooq.Name... arg0)`
  `default Stream<org.jooq.Field<?>>`
  `fieldStream()`
  `final org.jooq.Table<org.jooq.Record>`
  `forceIndex(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `forceIndexForGroupBy(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `forceIndexForJoin(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `forceIndexForOrderBy(String... arg0)`
  `final org.jooq.Record`
  `from(org.jooq.Record arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullJoin(String arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullJoin(String arg0, Object... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `fullJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullJoin(org.jooq.SQL arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullOuterJoin(String arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullOuterJoin(String arg0, Object... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullOuterJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullOuterJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `fullOuterJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullOuterJoin(org.jooq.SQL arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `fullOuterJoin(org.jooq.TableLike<?> arg0)`
  `boolean`
  `generatesCast()`
  `final org.jooq.Binding<?,org.jooq.Record>`
  `getBinding()`
  `final org.jooq.Catalog`
  `getCatalog()`
  `List<org.jooq.Check<org.jooq.Record>>`
  `getChecks()`
  `final String`
  `getComment()`
  `final org.jooq.Comment`
  `getCommentPart()`
  `final org.jooq.ContextConverter<?,org.jooq.Record>`
  `getConverter()`
  `final org.jooq.DataType<org.jooq.Record>`
  `getDataType()`
  `final org.jooq.DataType<org.jooq.Record>`
  `getDataType(org.jooq.Configuration arg0)`
  `org.jooq.Identity<org.jooq.Record,?>`
  `getIdentity()`
  `List<org.jooq.Index>`
  `getIndexes()`
  `List<org.jooq.UniqueKey<org.jooq.Record>>`
  `getKeys()`
  `final String`
  `getName()`
  `final org.jooq.TableOptions`
  `getOptions()`
  `final org.jooq.Package`
  `getPackage()`
  `org.jooq.UniqueKey<org.jooq.Record>`
  `getPrimaryKey()`
  `org.jooq.Name`
  `getQualifiedName()`
  `org.jooq.TableField<org.jooq.Record,?>`
  `getRecordTimestamp()`
  `Class<org.jooq.Record>`
  `getRecordType()`
  The class holding records for this type
  `org.jooq.TableField<org.jooq.Record,?>`
  `getRecordVersion()`
  `List<org.jooq.ForeignKey<org.jooq.Record,?>>`
  `getReferences()`
  `final <O extends org.jooq.Record>
  List<org.jooq.ForeignKey<O,org.jooq.Record>>`
  `getReferencesFrom(org.jooq.Table<O> arg0)`
  `final <O extends org.jooq.Record>
  List<org.jooq.ForeignKey<org.jooq.Record,O>>`
  `getReferencesTo(org.jooq.Table<O> arg0)`
  `org.jooq.Schema`
  `getSchema()`
  `final org.jooq.TableOptions.TableType`
  `getTableType()`
  `final Class<org.jooq.Record>`
  `getType()`
  `List<org.jooq.UniqueKey<org.jooq.Record>>`
  `getUniqueKeys()`
  `final org.jooq.Name`
  `getUnqualifiedName()`
  `final org.jooq.Table<org.jooq.Record>`
  `ignoreIndex(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `ignoreIndexForGroupBy(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `ignoreIndexForJoin(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `ignoreIndexForOrderBy(String... arg0)`
  `default int`
  `indexOf(String arg0)`
  `default int`
  `indexOf(org.jooq.Field<?> arg0)`
  `default int`
  `indexOf(org.jooq.Name arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `innerJoin(String arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `innerJoin(String arg0, Object... arg1)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `innerJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `innerJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `innerJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `innerJoin(org.jooq.SQL arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `innerJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `join(String arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `join(String arg0, Object... arg1)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `join(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `join(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `join(org.jooq.Path<?> arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `join(org.jooq.SQL arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `join(org.jooq.TableLike<?> arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `leftAntiJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `leftAntiJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftJoin(String arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftJoin(String arg0, Object... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `leftJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftJoin(org.jooq.SQL arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftOuterJoin(String arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftOuterJoin(String arg0, Object... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftOuterJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftOuterJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `leftOuterJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftOuterJoin(org.jooq.SQL arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `leftOuterJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `leftSemiJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TableOnStep<org.jooq.Record>`
  `leftSemiJoin(org.jooq.TableLike<?> arg0)`
  `Locations.LocationsPath`
  `locations()`
  Get the implicit join path to the `PUBLIC.LOCATIONS` table.
  `final org.jooq.Table<org.jooq.Record>`
  `naturalFullOuterJoin(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalFullOuterJoin(String arg0, Object... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalFullOuterJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalFullOuterJoin(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalFullOuterJoin(org.jooq.SQL arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalFullOuterJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalJoin(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalJoin(String arg0, Object... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalJoin(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalJoin(org.jooq.SQL arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalLeftOuterJoin(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalLeftOuterJoin(String arg0, Object... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalLeftOuterJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalLeftOuterJoin(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalLeftOuterJoin(org.jooq.SQL arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalLeftOuterJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalRightOuterJoin(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalRightOuterJoin(String arg0, Object... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalRightOuterJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalRightOuterJoin(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalRightOuterJoin(org.jooq.SQL arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `naturalRightOuterJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.Condition`
  `ne(org.jooq.Table<org.jooq.Record> arg0)`
  `final org.jooq.Record`
  `newRecord()`
  `final org.jooq.Condition`
  `notEqual(org.jooq.Table<org.jooq.Record> arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `outerApply(String arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `outerApply(String arg0, Object... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `outerApply(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.Table<org.jooq.Record>`
  `outerApply(org.jooq.Name arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `outerApply(org.jooq.SQL arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `outerApply(org.jooq.TableLike<?> arg0)`
  `final org.jooq.RecordType<org.jooq.Record>`
  `recordType()`
  `LocationMetadata`
  `rename(String name)`
  Rename this table
  `LocationMetadata`
  `rename(org.jooq.Name name)`
  Rename this table
  `LocationMetadata`
  `rename(org.jooq.Table<?> name)`
  Rename this table
  `boolean`
  `rendersContent(org.jooq.Context<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightJoin(String arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightJoin(String arg0, Object... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `rightJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightJoin(org.jooq.SQL arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightJoin(org.jooq.TableLike<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightOuterJoin(String arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightOuterJoin(String arg0, Object... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightOuterJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightOuterJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `rightOuterJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightOuterJoin(org.jooq.SQL arg0)`
  `final org.jooq.TablePartitionByStep<org.jooq.Record>`
  `rightOuterJoin(org.jooq.TableLike<?> arg0)`
  `org.jooq.Field<org.jooq.RowId>`
  `rowid()`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `straightJoin(String arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `straightJoin(String arg0, Object... arg1)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `straightJoin(String arg0, org.jooq.QueryPart... arg1)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `straightJoin(org.jooq.Name arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `straightJoin(org.jooq.Path<?> arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `straightJoin(org.jooq.SQL arg0)`
  `final org.jooq.TableOptionalOnStep<org.jooq.Record>`
  `straightJoin(org.jooq.TableLike<?> arg0)`
  `String`
  `toString()`
  `protected final org.jooq.exception.DataAccessException`
  `translate(String arg0, SQLException arg1)`
  `default Class<?>`
  `type(int arg0)`
  `default Class<?>`
  `type(String arg0)`
  `default Class<?>`
  `type(org.jooq.Name arg0)`
  `default Class<?>[]`
  `types()`
  `final org.jooq.Table<org.jooq.Record>`
  `useIndex(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `useIndexForGroupBy(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `useIndexForJoin(String... arg0)`
  `final org.jooq.Table<org.jooq.Record>`
  `useIndexForOrderBy(String... arg0)`
  `LocationMetadata`
  `where(String condition)`
  Create an inline derived table from this table
  `LocationMetadata`
  `where(String condition, Object... binds)`
  Create an inline derived table from this table
  `LocationMetadata`
  `where(String condition, org.jooq.QueryPart... parts)`
  Create an inline derived table from this table
  `LocationMetadata`
  `where(Collection<? extends org.jooq.Condition> conditions)`
  Create an inline derived table from this table
  `LocationMetadata`
  `where(org.jooq.Condition condition)`
  Create an inline derived table from this table
  `LocationMetadata`
  `where(org.jooq.Condition... conditions)`
  Create an inline derived table from this table
  `LocationMetadata`
  `where(org.jooq.Field<Boolean> condition)`
  Create an inline derived table from this table
  `LocationMetadata`
  `where(org.jooq.SQL condition)`
  Create an inline derived table from this table
  `LocationMetadata`
  `whereExists(org.jooq.Select<?> select)`
  Create an inline derived table from this table
  `LocationMetadata`
  `whereNotExists(org.jooq.Select<?> select)`
  Create an inline derived table from this table
  `org.jooq.Table<org.jooq.Record>`
  `withOrdinality()`

  ### Methods inherited from class org.jooq.impl.TableImpl

  `accept, aliased, as, clauses, declaresTables, equals, field, field, field, field, field, field, fieldsRow, hashCode, isSimple, isSynthetic, join, join`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.jooq.Named

  `$name, getComment, getCommentPart, getName, getQualifiedName, getUnqualifiedName`

  ### Methods inherited from interface org.jooq.QueryPart

  `toString`

  ### Methods inherited from interface org.jooq.QueryPartInternal

  `declaresCTE, declaresFields, declaresWindows, generatesCast, rendersContent`

- ## Field Details

  - ### LOCATION_METADATA

    public static final LocationMetadata LOCATION_METADATA
    The reference instance of `LOCATION_METADATA`

  - ### LOCATION_META_LOCATION

    public final org.jooq.TableField<org.jooq.Record,UUID> LOCATION_META_LOCATION
    The column `LOCATION_METADATA.LOCATION_META_LOCATION`.

  - ### LOCATION_META_NAME

    public final org.jooq.TableField<org.jooq.Record,String> LOCATION_META_NAME
    The column `LOCATION_METADATA.LOCATION_META_NAME`.

  - ### LOCATION_META_VALUE_TYPE

    public final org.jooq.TableField<org.jooq.Record,MetadataScalarBaseTypeT> LOCATION_META_VALUE_TYPE
    The column `LOCATION_METADATA.LOCATION_META_VALUE_TYPE`.

  - ### LOCATION_META_VALUE_INTEGRAL

    public final org.jooq.TableField<org.jooq.Record,Long> LOCATION_META_VALUE_INTEGRAL
    The column `LOCATION_METADATA.LOCATION_META_VALUE_INTEGRAL`.

  - ### LOCATION_META_VALUE_TEXT

    public final org.jooq.TableField<org.jooq.Record,String> LOCATION_META_VALUE_TEXT
    The column `LOCATION_METADATA.LOCATION_META_VALUE_TEXT`.

  - ### LOCATION_META_VALUE_TIME

    public final org.jooq.TableField<org.jooq.Record,OffsetDateTime> LOCATION_META_VALUE_TIME
    The column `LOCATION_METADATA.LOCATION_META_VALUE_TIME`.

  - ### LOCATION_META_VALUE_MONEY

    public final org.jooq.TableField<org.jooq.Record,BigDecimal> LOCATION_META_VALUE_MONEY
    The column `LOCATION_METADATA.LOCATION_META_VALUE_MONEY`.

  - ### LOCATION_META_VALUE_MONEY_CURRENCY

    public final org.jooq.TableField<org.jooq.Record,String> LOCATION_META_VALUE_MONEY_CURRENCY
    The column `LOCATION_METADATA.LOCATION_META_VALUE_MONEY_CURRENCY`.

  - ### LOCATION_META_VALUE_REAL

    public final org.jooq.TableField<org.jooq.Record,Double> LOCATION_META_VALUE_REAL
    The column `LOCATION_METADATA.LOCATION_META_VALUE_REAL`.

- ## Constructor Details

  - ### LocationMetadata

    public LocationMetadata(String alias)
    Create an aliased `LOCATION_METADATA` table reference

  - ### LocationMetadata

    public LocationMetadata(org.jooq.Name alias)
    Create an aliased `LOCATION_METADATA` table reference

  - ### LocationMetadata

    public LocationMetadata()
    Create a `LOCATION_METADATA` table reference

  - ### LocationMetadata

    public LocationMetadata(org.jooq.Table<O> path, org.jooq.ForeignKey<O,org.jooq.Record> childPath, org.jooq.InverseForeignKey<O,org.jooq.Record> parentPath)

- ## Method Details

  - ### getRecordType

    public Class<org.jooq.Record> getRecordType()
    The class holding records for this type
    Specified by:
      `getRecordType` in interface `org.jooq.RecordQualifier<org.jooq.Record>`
    Overrides:
      `getRecordType` in class `org.jooq.impl.TableImpl<org.jooq.Record>`

  - ### getSchema

    public org.jooq.Schema getSchema()
    Specified by:
      `getSchema` in interface `org.jooq.Qualified`

  - ### getPrimaryKey

    public org.jooq.UniqueKey<org.jooq.Record> getPrimaryKey()
    Specified by:
      `getPrimaryKey` in interface `org.jooq.Table<org.jooq.Record>`

  - ### getReferences

    public List<org.jooq.ForeignKey<org.jooq.Record,?>> getReferences()
    Specified by:
      `getReferences` in interface `org.jooq.Table<org.jooq.Record>`

  - ### locations

    public Locations.LocationsPath locations()
    Get the implicit join path to the `PUBLIC.LOCATIONS` table.

  - ### getChecks

    public List<org.jooq.Check<org.jooq.Record>> getChecks()
    Specified by:
      `getChecks` in interface `org.jooq.Table<org.jooq.Record>`

  - ### as

    public LocationMetadata as(String alias)
    Specified by:
      `as` in interface `org.jooq.SelectField<org.jooq.Record>`
    Specified by:
      `as` in interface `org.jooq.Table<org.jooq.Record>`

  - ### as

    public LocationMetadata as(org.jooq.Name alias)
    Specified by:
      `as` in interface `org.jooq.SelectField<org.jooq.Record>`
    Specified by:
      `as` in interface `org.jooq.Table<org.jooq.Record>`
    Overrides:
      `as` in class `org.jooq.impl.TableImpl<org.jooq.Record>`

  - ### as

    public LocationMetadata as(org.jooq.Table<?> alias)
    Specified by:
      `as` in interface `org.jooq.Table<org.jooq.Record>`

  - ### rename

    public LocationMetadata rename(String name)
    Rename this table
    Overrides:
      `rename` in class `org.jooq.impl.TableImpl<org.jooq.Record>`

  - ### rename

    public LocationMetadata rename(org.jooq.Name name)
    Rename this table
    Overrides:
      `rename` in class `org.jooq.impl.TableImpl<org.jooq.Record>`

  - ### rename

    public LocationMetadata rename(org.jooq.Table<?> name)
    Rename this table
    Overrides:
      `rename` in class `org.jooq.impl.TableImpl<org.jooq.Record>`

  - ### where

    public LocationMetadata where(org.jooq.Condition condition)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### where

    public LocationMetadata where(Collection<? extends org.jooq.Condition> conditions)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### where

    public LocationMetadata where(org.jooq.Condition... conditions)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### where

    public LocationMetadata where(org.jooq.Field<Boolean> condition)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### where

    @PlainSQL public LocationMetadata where(org.jooq.SQL condition)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### where

    @PlainSQL public LocationMetadata where(@SQL String condition)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### where

    @PlainSQL public LocationMetadata where(@SQL String condition, Object... binds)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### where

    @PlainSQL public LocationMetadata where(@SQL String condition, org.jooq.QueryPart... parts)
    Create an inline derived table from this table
    Specified by:
      `where` in interface `org.jooq.Table<org.jooq.Record>`

  - ### whereExists

    public LocationMetadata whereExists(org.jooq.Select<?> select)
    Create an inline derived table from this table
    Specified by:
      `whereExists` in interface `org.jooq.Table<org.jooq.Record>`

  - ### whereNotExists

    public LocationMetadata whereNotExists(org.jooq.Select<?> select)
    Create an inline derived table from this table
    Specified by:
      `whereNotExists` in interface `org.jooq.Table<org.jooq.Record>`

  - ### $alias

    public org.jooq.Name $alias()
    Specified by:
      `$alias` in interface `org.jooq.impl.QOM.Aliasable<R extends org.jooq.Record>`

  - ### $aliased

    public org.jooq.Table<org.jooq.Record> $aliased()
    Specified by:
      `$aliased` in interface `org.jooq.impl.QOM.Aliasable<R extends org.jooq.Record>`

  - ### getType

    public final Class<org.jooq.Record> getType()
    Specified by:
      `getType` in interface `org.jooq.Typed<R extends org.jooq.Record>`

  - ### getDataType

    public final org.jooq.DataType<org.jooq.Record> getDataType(org.jooq.Configuration arg0)
    Specified by:
      `getDataType` in interface `org.jooq.Typed<R extends org.jooq.Record>`

  - ### $dataType

    public final org.jooq.DataType<org.jooq.Record> $dataType()
    Specified by:
      `$dataType` in interface `org.jooq.Typed<R extends org.jooq.Record>`

  - ### getBinding

    public final org.jooq.Binding<?,org.jooq.Record> getBinding()
    Specified by:
      `getBinding` in interface `org.jooq.Typed<R extends org.jooq.Record>`

  - ### getConverter

    public final org.jooq.ContextConverter<?,org.jooq.Record> getConverter()
    Specified by:
      `getConverter` in interface `org.jooq.Typed<R extends org.jooq.Record>`

  - ### convert

    public final <U> org.jooq.SelectField<U> convert(org.jooq.Binding<org.jooq.Record,U> arg0)
    Specified by:
      `convert` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### convert

    public final <U> org.jooq.SelectField<U> convert(org.jooq.Converter<org.jooq.Record,U> arg0)
    Specified by:
      `convert` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### convert

    public final <U> org.jooq.SelectField<U> convert(Class<U> arg0, Function<? super org.jooq.Record,? extends U> arg1, Function<? super U,? extends org.jooq.Record> arg2)
    Specified by:
      `convert` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### convertFrom

    public final <U> org.jooq.SelectField<U> convertFrom(Class<U> arg0, Function<? super org.jooq.Record,? extends U> arg1)
    Specified by:
      `convertFrom` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### convertFrom

    public final <U> org.jooq.SelectField<U> convertFrom(Function<? super org.jooq.Record,? extends U> arg0)
    Specified by:
      `convertFrom` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### convertTo

    public final <U> org.jooq.SelectField<U> convertTo(Class<U> arg0, Function<? super U,? extends org.jooq.Record> arg1)
    Specified by:
      `convertTo` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### convertTo

    public final <U> org.jooq.SelectField<U> convertTo(Function<? super U,? extends org.jooq.Record> arg0)
    Specified by:
      `convertTo` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.SelectField<org.jooq.Record> as(org.jooq.Field<?> arg0)
    Specified by:
      `as` in interface `org.jooq.SelectField<R extends org.jooq.Record>`

  - ### from

    public final org.jooq.Record from(org.jooq.Record arg0)
    Specified by:
      `from` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### asterisk

    public final org.jooq.QualifiedAsterisk asterisk()
    Specified by:
      `asterisk` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getDataType

    public final org.jooq.DataType<org.jooq.Record> getDataType()
    Specified by:
      `getDataType` in interface `org.jooq.RecordQualifier<R extends org.jooq.Record>`
    Specified by:
      `getDataType` in interface `org.jooq.Typed<R extends org.jooq.Record>`

  - ### recordType

    public final org.jooq.RecordType<org.jooq.Record> recordType()
    Specified by:
      `recordType` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### newRecord

    public final org.jooq.Record newRecord()
    Specified by:
      `newRecord` in interface `org.jooq.RecordQualifier<R extends org.jooq.Record>`

  - ### fields

    public final org.jooq.Field<?>[] fields()
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### asMultiset

    public final org.jooq.Field<org.jooq.Result<org.jooq.Record>> asMultiset()
    Specified by:
      `asMultiset` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asMultiset

    public final org.jooq.Field<org.jooq.Result<org.jooq.Record>> asMultiset(String arg0)
    Specified by:
      `asMultiset` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asMultiset

    public final org.jooq.Field<org.jooq.Result<org.jooq.Record>> asMultiset(org.jooq.Name arg0)
    Specified by:
      `asMultiset` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asMultiset

    public final org.jooq.Field<org.jooq.Result<org.jooq.Record>> asMultiset(org.jooq.Field<?> arg0)
    Specified by:
      `asMultiset` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable()
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(String arg0)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(String arg0, String... arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(String arg0, Collection<? extends String> arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(org.jooq.Name arg0)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(org.jooq.Name arg0, org.jooq.Name... arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(org.jooq.Name arg0, Collection<? extends org.jooq.Name> arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(org.jooq.Table<?> arg0)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(org.jooq.Table<?> arg0, org.jooq.Field<?>... arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(org.jooq.Table<?> arg0, Collection<? extends org.jooq.Field<?>> arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(String arg0, Function<? super org.jooq.Field<?>,? extends String> arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### asTable

    public final org.jooq.Table<org.jooq.Record> asTable(String arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends String> arg1)
    Specified by:
      `asTable` in interface `org.jooq.TableLike<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(String arg0, String... arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(String arg0, Collection<? extends String> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(String arg0, Function<? super org.jooq.Field<?>,? extends String> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(String arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends String> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(org.jooq.Name arg0, Collection<? extends org.jooq.Name> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(org.jooq.Name arg0, Function<? super org.jooq.Field<?>,? extends org.jooq.Name> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(org.jooq.Name arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends org.jooq.Name> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getTableType

    public final org.jooq.TableOptions.TableType getTableType()
    Specified by:
      `getTableType` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getOptions

    public final org.jooq.TableOptions getOptions()
    Specified by:
      `getOptions` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getCatalog

    public final org.jooq.Catalog getCatalog()
    Specified by:
      `getCatalog` in interface `org.jooq.Qualified`

  - ### getPackage

    public final org.jooq.Package getPackage()
    Specified by:
      `getPackage` in interface `org.jooq.RecordQualifier<R extends org.jooq.Record>`

  - ### getIdentity

    public org.jooq.Identity<org.jooq.Record,?> getIdentity()
    Specified by:
      `getIdentity` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getRecordVersion

    public org.jooq.TableField<org.jooq.Record,?> getRecordVersion()
    Specified by:
      `getRecordVersion` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getRecordTimestamp

    public org.jooq.TableField<org.jooq.Record,?> getRecordTimestamp()
    Specified by:
      `getRecordTimestamp` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getIndexes

    public List<org.jooq.Index> getIndexes()
    Specified by:
      `getIndexes` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getKeys

    public List<org.jooq.UniqueKey<org.jooq.Record>> getKeys()
    Specified by:
      `getKeys` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getUniqueKeys

    public List<org.jooq.UniqueKey<org.jooq.Record>> getUniqueKeys()
    Specified by:
      `getUniqueKeys` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getReferencesFrom

    public final <O extends org.jooq.Record> List<org.jooq.ForeignKey<O,org.jooq.Record>> getReferencesFrom(org.jooq.Table<O> arg0)
    Specified by:
      `getReferencesFrom` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### getReferencesTo

    public final <O extends org.jooq.Record> List<org.jooq.ForeignKey<org.jooq.Record,O>> getReferencesTo(org.jooq.Table<O> arg0)
    Specified by:
      `getReferencesTo` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### createField

    @Deprecated protected static final <R extends org.jooq.Record, T> org.jooq.TableField<R,T> createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2)
    Deprecated.

  - ### createField

    @Deprecated protected static final <R extends org.jooq.Record, T> org.jooq.TableField<R,T> createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3)
    Deprecated.

  - ### createField

    @Deprecated protected static final <R extends org.jooq.Record, T, U> org.jooq.TableField<R,U> createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<T,U> arg4)
    Deprecated.

  - ### createField

    @Deprecated protected static final <R extends org.jooq.Record, T, U> org.jooq.TableField<R,U> createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Binding<T,U> arg4)
    Deprecated.

  - ### createField

    @Deprecated protected static final <R extends org.jooq.Record, T, X, U> org.jooq.TableField<R,U> createField(String arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5)
    Deprecated.

  - ### createField

    @Deprecated protected final <T> org.jooq.TableField<org.jooq.Record,T> createField(String arg0, org.jooq.DataType<T> arg1)
    Deprecated.

  - ### createField

    @Deprecated protected final <T> org.jooq.TableField<org.jooq.Record,T> createField(String arg0, org.jooq.DataType<T> arg1, String arg2)
    Deprecated.

  - ### createField

    @Deprecated protected final <T, U> org.jooq.TableField<org.jooq.Record,U> createField(String arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<T,U> arg3)
    Deprecated.

  - ### createField

    @Deprecated protected final <T, U> org.jooq.TableField<org.jooq.Record,U> createField(String arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Binding<T,U> arg3)
    Deprecated.

  - ### createField

    @Deprecated protected final <T, X, U> org.jooq.TableField<org.jooq.Record,U> createField(String arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<X,U> arg3, org.jooq.Binding<T,X> arg4)
    Deprecated.

  - ### createField

    protected static final <R extends org.jooq.Record, T> org.jooq.TableField<R,T> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2)

  - ### createField

    protected static final <R extends org.jooq.Record, T> org.jooq.TableField<R,T> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3)

  - ### createField

    protected static final <R extends org.jooq.Record, T, U> org.jooq.TableField<R,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<T,U> arg4)

  - ### createField

    protected static final <R extends org.jooq.Record, T, U> org.jooq.TableField<R,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Binding<T,U> arg4)

  - ### createField

    protected static final <R extends org.jooq.Record, T, X, U> org.jooq.TableField<R,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, org.jooq.Table<R> arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5)

  - ### createField

    protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T> org.jooq.TableField<R,T> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Generator<R,TR,T> arg4)

  - ### createField

    protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T, U> org.jooq.TableField<R,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<T,U> arg4, org.jooq.Generator<R,TR,U> arg5)

  - ### createField

    protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T, U> org.jooq.TableField<R,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Binding<T,U> arg4, org.jooq.Generator<R,TR,U> arg5)

  - ### createField

    protected static final <R extends org.jooq.Record, TR extends org.jooq.Table<R>, T, X, U> org.jooq.TableField<R,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5, org.jooq.Generator<R,TR,U> arg6)

  - ### createField

    protected final <T> org.jooq.TableField<org.jooq.Record,T> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1)

  - ### createField

    protected final <T> org.jooq.TableField<org.jooq.Record,T> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2)

  - ### createField

    protected final <T, U> org.jooq.TableField<org.jooq.Record,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<T,U> arg3)

  - ### createField

    protected final <T, U> org.jooq.TableField<org.jooq.Record,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Binding<T,U> arg3)

  - ### createField

    protected final <T, X, U> org.jooq.TableField<org.jooq.Record,U> createField(org.jooq.Name arg0, org.jooq.DataType<T> arg1, String arg2, org.jooq.Converter<X,U> arg3, org.jooq.Binding<T,X> arg4)

  - ### createField0

    protected final <TR extends org.jooq.Table<R>, T> org.jooq.TableField<org.jooq.Record,T> createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Generator<org.jooq.Record,TR,T> arg4)

  - ### createField0

    protected final <TR extends org.jooq.Table<R>, T, U> org.jooq.TableField<org.jooq.Record,U> createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<T,U> arg4, org.jooq.Generator<org.jooq.Record,TR,U> arg5)

  - ### createField0

    protected final <TR extends org.jooq.Table<R>, T, U> org.jooq.TableField<org.jooq.Record,U> createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Binding<T,U> arg4, org.jooq.Generator<org.jooq.Record,TR,U> arg5)

  - ### createField0

    protected final <TR extends org.jooq.Table<R>, T, X, U> org.jooq.TableField<org.jooq.Record,U> createField0(org.jooq.Name arg0, org.jooq.DataType<T> arg1, TR arg2, String arg3, org.jooq.Converter<X,U> arg4, org.jooq.Binding<T,X> arg5, org.jooq.Generator<org.jooq.Record,TR,U> arg6)

  - ### eq

    public final org.jooq.Condition eq(org.jooq.Table<org.jooq.Record> arg0)
    Specified by:
      `eq` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### equal

    public final org.jooq.Condition equal(org.jooq.Table<org.jooq.Record> arg0)
    Specified by:
      `equal` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### ne

    public final org.jooq.Condition ne(org.jooq.Table<org.jooq.Record> arg0)
    Specified by:
      `ne` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### notEqual

    public final org.jooq.Condition notEqual(org.jooq.Table<org.jooq.Record> arg0)
    Specified by:
      `notEqual` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rowid

    public org.jooq.Field<org.jooq.RowId> rowid()
    Specified by:
      `rowid` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### useIndex

    public final org.jooq.Table<org.jooq.Record> useIndex(String... arg0)
    Specified by:
      `useIndex` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### useIndexForJoin

    public final org.jooq.Table<org.jooq.Record> useIndexForJoin(String... arg0)
    Specified by:
      `useIndexForJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### useIndexForOrderBy

    public final org.jooq.Table<org.jooq.Record> useIndexForOrderBy(String... arg0)
    Specified by:
      `useIndexForOrderBy` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### useIndexForGroupBy

    public final org.jooq.Table<org.jooq.Record> useIndexForGroupBy(String... arg0)
    Specified by:
      `useIndexForGroupBy` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### ignoreIndex

    public final org.jooq.Table<org.jooq.Record> ignoreIndex(String... arg0)
    Specified by:
      `ignoreIndex` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### ignoreIndexForJoin

    public final org.jooq.Table<org.jooq.Record> ignoreIndexForJoin(String... arg0)
    Specified by:
      `ignoreIndexForJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### ignoreIndexForOrderBy

    public final org.jooq.Table<org.jooq.Record> ignoreIndexForOrderBy(String... arg0)
    Specified by:
      `ignoreIndexForOrderBy` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### ignoreIndexForGroupBy

    public final org.jooq.Table<org.jooq.Record> ignoreIndexForGroupBy(String... arg0)
    Specified by:
      `ignoreIndexForGroupBy` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### forceIndex

    public final org.jooq.Table<org.jooq.Record> forceIndex(String... arg0)
    Specified by:
      `forceIndex` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### forceIndexForJoin

    public final org.jooq.Table<org.jooq.Record> forceIndexForJoin(String... arg0)
    Specified by:
      `forceIndexForJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### forceIndexForOrderBy

    public final org.jooq.Table<org.jooq.Record> forceIndexForOrderBy(String... arg0)
    Specified by:
      `forceIndexForOrderBy` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### forceIndexForGroupBy

    public final org.jooq.Table<org.jooq.Record> forceIndexForGroupBy(String... arg0)
    Specified by:
      `forceIndexForGroupBy` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(org.jooq.Table<?> arg0, org.jooq.Field<?>... arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(org.jooq.Table<?> arg0, Collection<? extends org.jooq.Field<?>> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(org.jooq.Table<?> arg0, Function<? super org.jooq.Field<?>,? extends org.jooq.Field<?>> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### as

    public final org.jooq.Table<org.jooq.Record> as(org.jooq.Table<?> arg0, BiFunction<? super org.jooq.Field<?>,? super Integer,? extends org.jooq.Field<?>> arg1)
    Specified by:
      `as` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### withOrdinality

    public org.jooq.Table<org.jooq.Record> withOrdinality()
    Specified by:
      `withOrdinality` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### divideBy

    public final org.jooq.DivideByOnStep divideBy(org.jooq.Table<?> arg0)
    Specified by:
      `divideBy` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftSemiJoin

    public final org.jooq.TableOnStep<org.jooq.Record> leftSemiJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `leftSemiJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftSemiJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> leftSemiJoin(org.jooq.Path<?> arg0)
    Specified by:
      `leftSemiJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftAntiJoin

    public final org.jooq.TableOnStep<org.jooq.Record> leftAntiJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `leftAntiJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftAntiJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> leftAntiJoin(org.jooq.Path<?> arg0)
    Specified by:
      `leftAntiJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### join

    public final org.jooq.TableOnStep<org.jooq.Record> join(org.jooq.TableLike<?> arg0)
    Specified by:
      `join` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### join

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> join(org.jooq.Path<?> arg0)
    Specified by:
      `join` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### join

    public final org.jooq.TableOnStep<org.jooq.Record> join(org.jooq.SQL arg0)
    Specified by:
      `join` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### join

    public final org.jooq.TableOnStep<org.jooq.Record> join(String arg0)
    Specified by:
      `join` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### join

    public final org.jooq.TableOnStep<org.jooq.Record> join(String arg0, Object... arg1)
    Specified by:
      `join` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### join

    public final org.jooq.TableOnStep<org.jooq.Record> join(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `join` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### join

    public final org.jooq.TableOnStep<org.jooq.Record> join(org.jooq.Name arg0)
    Specified by:
      `join` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### innerJoin

    public final org.jooq.TableOnStep<org.jooq.Record> innerJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `innerJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### innerJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> innerJoin(org.jooq.Path<?> arg0)
    Specified by:
      `innerJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### innerJoin

    public final org.jooq.TableOnStep<org.jooq.Record> innerJoin(org.jooq.SQL arg0)
    Specified by:
      `innerJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### innerJoin

    public final org.jooq.TableOnStep<org.jooq.Record> innerJoin(String arg0)
    Specified by:
      `innerJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### innerJoin

    public final org.jooq.TableOnStep<org.jooq.Record> innerJoin(String arg0, Object... arg1)
    Specified by:
      `innerJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### innerJoin

    public final org.jooq.TableOnStep<org.jooq.Record> innerJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `innerJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### innerJoin

    public final org.jooq.TableOnStep<org.jooq.Record> innerJoin(org.jooq.Name arg0)
    Specified by:
      `innerJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `leftJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> leftJoin(org.jooq.Path<?> arg0)
    Specified by:
      `leftJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftJoin(org.jooq.SQL arg0)
    Specified by:
      `leftJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftJoin(String arg0)
    Specified by:
      `leftJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftJoin(String arg0, Object... arg1)
    Specified by:
      `leftJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `leftJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftJoin(org.jooq.Name arg0)
    Specified by:
      `leftJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftOuterJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `leftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftOuterJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> leftOuterJoin(org.jooq.Path<?> arg0)
    Specified by:
      `leftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftOuterJoin(org.jooq.SQL arg0)
    Specified by:
      `leftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftOuterJoin(String arg0)
    Specified by:
      `leftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftOuterJoin(String arg0, Object... arg1)
    Specified by:
      `leftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftOuterJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `leftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### leftOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> leftOuterJoin(org.jooq.Name arg0)
    Specified by:
      `leftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `rightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> rightJoin(org.jooq.Path<?> arg0)
    Specified by:
      `rightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightJoin(org.jooq.SQL arg0)
    Specified by:
      `rightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightJoin(String arg0)
    Specified by:
      `rightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightJoin(String arg0, Object... arg1)
    Specified by:
      `rightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `rightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightJoin(org.jooq.Name arg0)
    Specified by:
      `rightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightOuterJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `rightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightOuterJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> rightOuterJoin(org.jooq.Path<?> arg0)
    Specified by:
      `rightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightOuterJoin(org.jooq.SQL arg0)
    Specified by:
      `rightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightOuterJoin(String arg0)
    Specified by:
      `rightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightOuterJoin(String arg0, Object... arg1)
    Specified by:
      `rightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightOuterJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `rightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### rightOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> rightOuterJoin(org.jooq.Name arg0)
    Specified by:
      `rightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullOuterJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `fullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullOuterJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> fullOuterJoin(org.jooq.Path<?> arg0)
    Specified by:
      `fullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullOuterJoin(org.jooq.SQL arg0)
    Specified by:
      `fullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullOuterJoin(String arg0)
    Specified by:
      `fullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullOuterJoin(String arg0, Object... arg1)
    Specified by:
      `fullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullOuterJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `fullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullOuterJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullOuterJoin(org.jooq.Name arg0)
    Specified by:
      `fullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `fullJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> fullJoin(org.jooq.Path<?> arg0)
    Specified by:
      `fullJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullJoin(org.jooq.SQL arg0)
    Specified by:
      `fullJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullJoin(String arg0)
    Specified by:
      `fullJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullJoin(String arg0, Object... arg1)
    Specified by:
      `fullJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `fullJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### fullJoin

    public final org.jooq.TablePartitionByStep<org.jooq.Record> fullJoin(org.jooq.Name arg0)
    Specified by:
      `fullJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossJoin

    public final org.jooq.Table<org.jooq.Record> crossJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `crossJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossJoin

    public final org.jooq.Table<org.jooq.Record> crossJoin(org.jooq.SQL arg0)
    Specified by:
      `crossJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossJoin

    public final org.jooq.Table<org.jooq.Record> crossJoin(String arg0)
    Specified by:
      `crossJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossJoin

    public final org.jooq.Table<org.jooq.Record> crossJoin(String arg0, Object... arg1)
    Specified by:
      `crossJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossJoin

    public final org.jooq.Table<org.jooq.Record> crossJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `crossJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossJoin

    public final org.jooq.Table<org.jooq.Record> crossJoin(org.jooq.Name arg0)
    Specified by:
      `crossJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalJoin

    public final org.jooq.Table<org.jooq.Record> naturalJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `naturalJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalJoin

    public final org.jooq.Table<org.jooq.Record> naturalJoin(org.jooq.SQL arg0)
    Specified by:
      `naturalJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalJoin

    public final org.jooq.Table<org.jooq.Record> naturalJoin(String arg0)
    Specified by:
      `naturalJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalJoin

    public final org.jooq.Table<org.jooq.Record> naturalJoin(String arg0, Object... arg1)
    Specified by:
      `naturalJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalJoin

    public final org.jooq.Table<org.jooq.Record> naturalJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `naturalJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalJoin

    public final org.jooq.Table<org.jooq.Record> naturalJoin(org.jooq.Name arg0)
    Specified by:
      `naturalJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalLeftOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalLeftOuterJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `naturalLeftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalLeftOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalLeftOuterJoin(org.jooq.SQL arg0)
    Specified by:
      `naturalLeftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalLeftOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalLeftOuterJoin(String arg0)
    Specified by:
      `naturalLeftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalLeftOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalLeftOuterJoin(String arg0, Object... arg1)
    Specified by:
      `naturalLeftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalLeftOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalLeftOuterJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `naturalLeftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalLeftOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalLeftOuterJoin(org.jooq.Name arg0)
    Specified by:
      `naturalLeftOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalRightOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalRightOuterJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `naturalRightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalRightOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalRightOuterJoin(org.jooq.SQL arg0)
    Specified by:
      `naturalRightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalRightOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalRightOuterJoin(String arg0)
    Specified by:
      `naturalRightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalRightOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalRightOuterJoin(String arg0, Object... arg1)
    Specified by:
      `naturalRightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalRightOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalRightOuterJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `naturalRightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalRightOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalRightOuterJoin(org.jooq.Name arg0)
    Specified by:
      `naturalRightOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalFullOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalFullOuterJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `naturalFullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalFullOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalFullOuterJoin(org.jooq.SQL arg0)
    Specified by:
      `naturalFullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalFullOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalFullOuterJoin(String arg0)
    Specified by:
      `naturalFullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalFullOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalFullOuterJoin(String arg0, Object... arg1)
    Specified by:
      `naturalFullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalFullOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalFullOuterJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `naturalFullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### naturalFullOuterJoin

    public final org.jooq.Table<org.jooq.Record> naturalFullOuterJoin(org.jooq.Name arg0)
    Specified by:
      `naturalFullOuterJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossApply

    public final org.jooq.Table<org.jooq.Record> crossApply(org.jooq.TableLike<?> arg0)
    Specified by:
      `crossApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossApply

    public final org.jooq.Table<org.jooq.Record> crossApply(org.jooq.SQL arg0)
    Specified by:
      `crossApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossApply

    public final org.jooq.Table<org.jooq.Record> crossApply(String arg0)
    Specified by:
      `crossApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossApply

    public final org.jooq.Table<org.jooq.Record> crossApply(String arg0, Object... arg1)
    Specified by:
      `crossApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossApply

    public final org.jooq.Table<org.jooq.Record> crossApply(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `crossApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### crossApply

    public final org.jooq.Table<org.jooq.Record> crossApply(org.jooq.Name arg0)
    Specified by:
      `crossApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### outerApply

    public final org.jooq.Table<org.jooq.Record> outerApply(org.jooq.TableLike<?> arg0)
    Specified by:
      `outerApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### outerApply

    public final org.jooq.Table<org.jooq.Record> outerApply(org.jooq.SQL arg0)
    Specified by:
      `outerApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### outerApply

    public final org.jooq.Table<org.jooq.Record> outerApply(String arg0)
    Specified by:
      `outerApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### outerApply

    public final org.jooq.Table<org.jooq.Record> outerApply(String arg0, Object... arg1)
    Specified by:
      `outerApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### outerApply

    public final org.jooq.Table<org.jooq.Record> outerApply(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `outerApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### outerApply

    public final org.jooq.Table<org.jooq.Record> outerApply(org.jooq.Name arg0)
    Specified by:
      `outerApply` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### straightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> straightJoin(org.jooq.TableLike<?> arg0)
    Specified by:
      `straightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### straightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> straightJoin(org.jooq.Path<?> arg0)
    Specified by:
      `straightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### straightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> straightJoin(org.jooq.SQL arg0)
    Specified by:
      `straightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### straightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> straightJoin(String arg0)
    Specified by:
      `straightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### straightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> straightJoin(String arg0, Object... arg1)
    Specified by:
      `straightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### straightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> straightJoin(String arg0, org.jooq.QueryPart... arg1)
    Specified by:
      `straightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### straightJoin

    public final org.jooq.TableOptionalOnStep<org.jooq.Record> straightJoin(org.jooq.Name arg0)
    Specified by:
      `straightJoin` in interface `org.jooq.Table<R extends org.jooq.Record>`

  - ### $schema

    public final org.jooq.Schema $schema()
    Specified by:
      `$schema` in interface `org.jooq.Qualified`

  - ### fieldStream

    default Stream<org.jooq.Field<?>> fieldStream()
    Specified by:
      `fieldStream` in interface `org.jooq.Fields`

  - ### field

    default <T> org.jooq.Field<T> field(org.jooq.Field<T> arg0)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    default org.jooq.Field<?> field(int arg0)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    default <T> org.jooq.Field<T> field(int arg0, Class<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### field

    default <T> org.jooq.Field<T> field(int arg0, org.jooq.DataType<T> arg1)
    Specified by:
      `field` in interface `org.jooq.Fields`

  - ### fields

    default org.jooq.Field<?>[] fields(org.jooq.Field<?>... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### fields

    default org.jooq.Field<?>[] fields(String... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### fields

    default org.jooq.Field<?>[] fields(org.jooq.Name... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### fields

    default org.jooq.Field<?>[] fields(int... arg0)
    Specified by:
      `fields` in interface `org.jooq.Fields`

  - ### indexOf

    default int indexOf(org.jooq.Field<?> arg0)
    Specified by:
      `indexOf` in interface `org.jooq.Fields`

  - ### indexOf

    default int indexOf(String arg0)
    Specified by:
      `indexOf` in interface `org.jooq.Fields`

  - ### indexOf

    default int indexOf(org.jooq.Name arg0)
    Specified by:
      `indexOf` in interface `org.jooq.Fields`

  - ### types

    default Class<?>[] types()
    Specified by:
      `types` in interface `org.jooq.Fields`

  - ### type

    default Class<?> type(int arg0)
    Specified by:
      `type` in interface `org.jooq.Fields`

  - ### type

    default Class<?> type(String arg0)
    Specified by:
      `type` in interface `org.jooq.Fields`

  - ### type

    default Class<?> type(org.jooq.Name arg0)
    Specified by:
      `type` in interface `org.jooq.Fields`

  - ### dataTypes

    default org.jooq.DataType<?>[] dataTypes()
    Specified by:
      `dataTypes` in interface `org.jooq.Fields`

  - ### dataType

    default org.jooq.DataType<?> dataType(int arg0)
    Specified by:
      `dataType` in interface `org.jooq.Fields`

  - ### dataType

    default org.jooq.DataType<?> dataType(String arg0)
    Specified by:
      `dataType` in interface `org.jooq.Fields`

  - ### dataType

    default org.jooq.DataType<?> dataType(org.jooq.Name arg0)
    Specified by:
      `dataType` in interface `org.jooq.Fields`

  - ### getName

    public final String getName()
    Specified by:
      `getName` in interface `org.jooq.Named`

  - ### getQualifiedName

    public org.jooq.Name getQualifiedName()
    Specified by:
      `getQualifiedName` in interface `org.jooq.Named`

  - ### getUnqualifiedName

    public final org.jooq.Name getUnqualifiedName()
    Specified by:
      `getUnqualifiedName` in interface `org.jooq.Named`

  - ### getComment

    public final String getComment()
    Specified by:
      `getComment` in interface `org.jooq.Named`

  - ### getCommentPart

    public final org.jooq.Comment getCommentPart()
    Specified by:
      `getCommentPart` in interface `org.jooq.Named`

  - ### $name

    public final org.jooq.Name $name()
    Specified by:
      `$name` in interface `org.jooq.Named`

  - ### rendersContent

    public boolean rendersContent(org.jooq.Context<?> arg0)
    Specified by:
      `rendersContent` in interface `org.jooq.QueryPartInternal`

  - ### declaresFields

    public boolean declaresFields()
    Specified by:
      `declaresFields` in interface `org.jooq.QueryPartInternal`

  - ### declaresWindows

    public boolean declaresWindows()
    Specified by:
      `declaresWindows` in interface `org.jooq.QueryPartInternal`

  - ### declaresCTE

    public boolean declaresCTE()
    Specified by:
      `declaresCTE` in interface `org.jooq.QueryPartInternal`

  - ### generatesCast

    public boolean generatesCast()
    Specified by:
      `generatesCast` in interface `org.jooq.QueryPartInternal`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `org.jooq.QueryPart`
    Overrides:
      `toString` in class `Object`

  - ### create

    @Deprecated protected final org.jooq.DSLContext create()
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Configuration arg0)
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Context<?> arg0)
    Deprecated.

  - ### translate

    protected final org.jooq.exception.DataAccessException translate(String arg0, SQLException arg1)